Index: EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_usrreq.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_usrreq.c	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_usrreq.c	(revision 321)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -132,5 +120,5 @@
 
 /*
- *  IPv4 ã¨ IPv6 ã®åãæ¿ããã¯ã­
+ *  IPv4 と IPv6 の切り替えマクロ
  */
 
@@ -152,7 +140,6 @@
 
 /*
- *  TINET ãã©ã¤ãã©ãªåããªãå ´åã¯ãå
-¨ã¦ã®æ©è½ã
- *  ãªãã¸ã§ã¯ããã¡ã¤ã«ã«åºåããããããã¯ã­ãæå¹ã«ããã
+ *  TINET をライブラリ化しない場合は、全ての機能を
+ *  オブジェクトファイルに出力するため、マクロを有効にする。
  */
 
@@ -182,5 +169,5 @@
 
 /*
- *  tcp_cre_rep -- TCP åä»å£ã®çæãæ¡å¼µæ©è½ã
+ *  tcp_cre_rep -- TCP 受付口の生成【拡張機能】
  */
 
@@ -195,24 +182,24 @@
 	ER		error;
 
-	/* TCP åä»å£ ID ããã§ãã¯ããã*/
+	/* TCP 受付口 ID をチェックする。*/
 	if (!VAID_TCP_REPID(repid))
 		return E_ID;
 
-	/* pk_crep ã NULL ãªãã¨ã©ã¼ */
+	/* pk_crep が NULL ならエラー */
 	if (pk_crep == NULL)
 		return E_PAR;
 
-	/* TCP åä»å£ãå¾ãã*/
+	/* TCP 受付口を得る。*/
 	rep = GET_TCP_REP(repid);
 
-	/* TCP åä»å£ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* TCP 受付口が、動的生成用でなければエラー */
 	if (!DYNAMIC_TCP_REP(rep))
 		return E_ID;
 
-	/* åä»å£ãã­ãã¯ããã*/
+	/* 受付口をロックする。*/
 	syscall(wai_sem(rep->semid_lock));
 
 	/*
-	 * TCP åä»å£ããã§ãã¯ãããçææ¸ã¿ã§ããã°ã¨ã©ã¼
+	 * TCP 受付口をチェックする。生成済みであればエラー
 	 */
 	if (VALID_TCP_REP(rep))
@@ -220,15 +207,14 @@
 	else {
 
-		/* TCP åä»å£çææ
-å ±ãã³ãã¼ããã*/
-		rep->repatr = pk_crep->repatr;		/* åä»å£å±æ§		*/
-		rep->myaddr = pk_crep->myaddr;		/* èªåã®ã¢ãã¬ã¹	*/
-
-		/* TCP åä»å£ãçææ¸ã¿ã«ããã*/
+		/* TCP 受付口生成情報をコピーする。*/
+		rep->repatr = pk_crep->repatr;		/* 受付口属性		*/
+		rep->myaddr = pk_crep->myaddr;		/* 自分のアドレス	*/
+
+		/* TCP 受付口を生成済みにする。*/
 		rep->flags |= TCP_REP_FLG_VALID;
 		error = E_OK;
 		}
 
-	/* åä»å£ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 受付口のロックを解除する。*/
 	syscall(sig_sem(rep->semid_lock));
 
@@ -245,5 +231,5 @@
 
 /*
- *  tcp_find_cep_rep -- TCP åä»å£ããªã³ã¯ãã¦ãã TCP éä¿¡ç«¯ç¹ãå¾ãã
+ *  tcp_find_cep_rep -- TCP 受付口をリンクしている TCP 通信端点を得る。
  */
 
@@ -262,5 +248,5 @@
 
 /*
- *  tcp_del_rep -- TCP åä»å£ã®åé¤ãæ¡å¼µæ©è½ã
+ *  tcp_del_rep -- TCP 受付口の削除【拡張機能】
  */
 
@@ -273,19 +259,19 @@
 	ER		error = E_OK;
 
-	/* TCP åä»å£ ID ããã§ãã¯ããã*/
+	/* TCP 受付口 ID をチェックする。*/
 	if (!VAID_TCP_REPID(repid))
 		return E_ID;
 
-	/* TCP åä»å£ãå¾ãã*/
+	/* TCP 受付口を得る。*/
 	rep = GET_TCP_REP(repid);
 
-	/* TCP åä»å£ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* TCP 受付口が、動的生成用でなければエラー */
 	if (!DYNAMIC_TCP_REP(rep))
 		return E_ID;
 
-	/* åä»å£ãã­ãã¯ããã*/
+	/* 受付口をロックする。*/
 	syscall(wai_sem(rep->semid_lock));
 
-	/* TCP åä»å£ããã§ãã¯ãããæªçæã®å ´åã¯ã¨ã©ã¼ */
+	/* TCP 受付口をチェックする。未生成の場合はエラー */
 	if (!VALID_TCP_REP(rep))
 		error = E_NOEXS;
@@ -293,15 +279,15 @@
 		if ((cep = tcp_find_cep_rep(rep)) != NULL) {
 			/*
-			 * ãã§ã«ååãªã¼ãã³ãã¦ããã¨ã
-			 *ï¼tcp_acp_cep ãå¼ã°ãã¦ããã¨ãï¼ã¯ã
-			 * tcp_acp_cep ãçµäºãããã
+			 * すでに受動オープンしているとき
+			 *（tcp_acp_cep が呼ばれているとき）は、
+			 * tcp_acp_cep を終了させる。
 			 */
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+			/* 通信端点をロックする。*/
 			syscall(wai_sem(cep->semid_lock));
 
 			/*
-			 *  éä¿¡ç«¯ç¹ããåä»å£ãè§£æ¾ãã
-			 *  ã¤ãã³ããã©ã°ãã¯ã­ã¼ãºã«è¨­å®ããã
+			 *  通信端点から受付口を解放し、
+			 *  イベントフラグをクローズに設定する。
 			 */
 			cep->rep = NULL;
@@ -338,5 +324,5 @@
 			cep->rcv_tfn   = TFN_TCP_UNDEF;
 
-			/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点のロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 
@@ -345,9 +331,9 @@
 			error = E_OK;
 
-		/* TCP åä»å£ãæªçæã«ããã*/
+		/* TCP 受付口を未生成にする。*/
 		rep->flags &= ~TCP_REP_FLG_VALID;
 		}
 
-	/* åä»å£ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 受付口のロックを解除する。*/
 	syscall(sig_sem(rep->semid_lock));
 
@@ -360,5 +346,5 @@
 
 /*
- *  tcp_cre_cep -- TCP éä¿¡ç«¯ç¹ã®çæãæ¡å¼µæ©è½ã
+ *  tcp_cre_cep -- TCP 通信端点の生成【拡張機能】
  */
 
@@ -373,24 +359,24 @@
 	ER		error;
 
-	/* TCP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* TCP 通信端点 ID をチェックする。*/
 	if (!VAID_TCP_CEPID(cepid))
 		return E_ID;
 
-	/* pk_ccep ã NULL ãªãã¨ã©ã¼ */
+	/* pk_ccep が NULL ならエラー */
 	if (pk_ccep == NULL)
 		return E_PAR;
 
-	/* TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* TCP 通信端点を得る。*/
 	cep = GET_TCP_CEP(cepid);
 
-	/* TCP éä¿¡ç«¯ç¹ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* TCP 通信端点が、動的生成用でなければエラー */
 	if (!DYNAMIC_TCP_CEP(cep))
 		return E_ID;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 * TCP éä¿¡ç«¯ç¹ããã§ãã¯ãããçææ¸ã¿ã§ããã°ã¨ã©ã¼
+	 * TCP 通信端点をチェックする。生成済みであればエラー
 	 */
 	if (VALID_TCP_CEP(cep))
@@ -398,19 +384,18 @@
 	else {
 
-		/* TCP éä¿¡ç«¯ç¹çææ
-å ±ãã³ãã¼ããã*/
-		cep->cepatr   = pk_ccep->cepatr;		/* éä¿¡ç«¯ç¹å±æ§			*/
-		cep->sbuf     = pk_ccep->sbuf;			/* éä¿¡ç¨ã¦ã£ã³ããããã¡	*/
-		cep->sbufsz   = pk_ccep->sbufsz;		/* éä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-		cep->rbuf     = pk_ccep->rbuf;			/* åä¿¡ç¨ã¦ã£ã³ããããã¡	*/
-		cep->rbufsz   = pk_ccep->rbufsz;		/* åä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-		cep->callback = (void*)pk_ccep->callback;	/* ã³ã¼ã«ããã¯			*/
-
-		/* TCP éä¿¡ç«¯ç¹ãçææ¸ã¿ã«ããã*/
+		/* TCP 通信端点生成情報をコピーする。*/
+		cep->cepatr   = pk_ccep->cepatr;		/* 通信端点属性			*/
+		cep->sbuf     = pk_ccep->sbuf;			/* 送信用ウィンドバッファ	*/
+		cep->sbufsz   = pk_ccep->sbufsz;		/* 送信用ウィンドバッファサイズ	*/
+		cep->rbuf     = pk_ccep->rbuf;			/* 受信用ウィンドバッファ	*/
+		cep->rbufsz   = pk_ccep->rbufsz;		/* 受信用ウィンドバッファサイズ	*/
+		cep->callback = (void*)pk_ccep->callback;	/* コールバック			*/
+
+		/* TCP 通信端点を生成済みにする。*/
 		cep->flags |= TCP_CEP_FLG_VALID;
 		error = E_OK;
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -423,5 +408,5 @@
 
 /*
- *  tcp_del_cep -- TCP éä¿¡ç«¯ç¹ã®åé¤ãæ¡å¼µæ©è½ã
+ *  tcp_del_cep -- TCP 通信端点の削除【拡張機能】
  */
 
@@ -436,22 +421,22 @@
 	ER		error;
 
-	/* TCP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* TCP 通信端点 ID をチェックする。*/
 	if (!VAID_TCP_CEPID(cepid))
 		return E_ID;
 
-	/* TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* TCP 通信端点を得る。*/
 	cep = GET_TCP_CEP(cepid);
 
-	/* TCP éä¿¡ç«¯ç¹ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* TCP 通信端点が、動的生成用でなければエラー */
 	if (!DYNAMIC_TCP_CEP(cep))
 		return E_ID;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 * TCP éä¿¡ç«¯ç¹ããã§ãã¯ãããä»¥ä¸ã®å ´åã¯ã¨ã©ã¼
-	 * ã»æªçæã
-	 * ã»ä½¿ç¨ä¸­ã
+	 * TCP 通信端点をチェックする。以下の場合はエラー
+	 * ・未生成。
+	 * ・使用中。
 	 */
 	if (!VALID_TCP_CEP(cep))
@@ -461,10 +446,10 @@
 	else {
 
-		/* TCP éä¿¡ç«¯ç¹ãæªçæã«ããã*/
+		/* TCP 通信端点を未生成にする。*/
 		cep->flags &= ~TCP_CEP_FLG_VALID;
 		error = E_OK;
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -479,6 +464,5 @@
 
 /*
- *  tcp_acp_cep -- æ¥ç¶è¦æ±å¾
-ã¡ (ååãªã¼ãã³)ãæ¨æºæ©è½ã
+ *  tcp_acp_cep -- 接続要求待ち (受動オープン)【標準機能】
  */
 
@@ -493,5 +477,5 @@
 	FLGPTN		flag;
 
-	/* TCP åä»å£ããã§ãã¯ããã*/
+	/* TCP 受付口をチェックする。*/
 	if (!VAID_TCP_REPID(repid))
 		return E_ID;
@@ -499,5 +483,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* p_dstaddr ã NULL ãªãã¨ã©ã¼ */
+	/* p_dstaddr が NULL ならエラー */
 	if (p_dstaddr == NULL)
 		return E_PAR;
@@ -505,5 +489,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* p_dstaddr ã NULL ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* p_dstaddr が NULL か、tmout が TMO_NBLK ならエラー */
 	if (p_dstaddr == NULL || tmout == TMO_NBLK)
 		return E_PAR;
@@ -512,12 +496,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_ACP_CEP)) != E_OK)
 		return error;
 
-	/* CEP ã® FSM ãã¯ã­ã¼ãºç¶æ
-ã§ãªããã°ã¨ã©ã¼ã*/
+	/* CEP の FSM がクローズ状態でなければエラー。*/
 	if (cep->fsm_state != TCP_FSM_CLOSED) {
 		error = E_OBJ;
@@ -526,16 +509,16 @@
 	syscall(clr_flg(cep->est_flgid, (FLGPTN)(~TCP_CEP_EVT_CLOSED)));
 
-	/* TCP éä¿¡ç«¯ç¹ãåæåããã*/
+	/* TCP 通信端点を初期化する。*/
 	tcp_init_cep(cep);
 
-	/* TCP åä»å£ãå¾ãã*/
+	/* TCP 受付口を得る。*/
 	rep = GET_TCP_REP(repid);
 
 #ifdef TCP_CFG_EXTENTIONS
 
-	/* TCP åä»å£ãã­ãã¯ããã*/
+	/* TCP 受付口をロックする。*/
 	syscall(wai_sem(rep->semid_lock));
 
-	/* TCP åä»å£ããã§ãã¯ããã*/
+	/* TCP 受付口をチェックする。*/
 	if (!VALID_TCP_REP(rep)) {
 		syscall(sig_sem(rep->semid_lock));
@@ -546,25 +529,25 @@
 #endif	/* of #ifdef TCP_CFG_EXTENTIONS */
 
-	/* TCP éä¿¡ç«¯ç¹ã«TCPåä»å£ãè¨é²ããã*/
+	/* TCP 通信端点にTCP受付口を記録する。*/
 	cep->rep = rep;
 
 #ifdef TCP_CFG_EXTENTIONS
 
-	/* TCP åä»å£ã®ã­ãã¯ãè§£é¤ããã*/
+	/* TCP 受付口のロックを解除する。*/
 	syscall(sig_sem(rep->semid_lock));
 
 #endif	/* of #ifdef TCP_CFG_EXTENTIONS */
 
-	/* TCP åä»å£ã®ã¢ãã¬ã¹ãã³ãã¼ããã*/
+	/* TCP 受付口のアドレスをコピーする。*/
 	cep->myaddr = rep->myaddr;
 
-	/* éä¿¡ç«¯ç¹ãè¨­å®ããã*/
+	/* 通信端点を設定する。*/
 	cep->fsm_state = TCP_FSM_LISTEN;
 
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
+	/* タイムアウトをチェックする。*/
 	if (tmout == TMO_NBLK) {
-		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+		/* ノンブロッキングコール */
 		cep->p_dstaddr    = p_dstaddr;
 		cep->rcv_nblk_tfn = TFN_TCP_ACP_CEP;
@@ -576,7 +559,6 @@
 
 		/*
-		 *  FSM ã ESTABLISHED ã«ãªãã¾ã§å¾
-ã¤ã
-		 *  FSM ã CLOSED ã«ãªã£ãå ´åã¯ãã¨ã©ã¼ãçºçãããã¨ãæå³ãã¦ããã
+		 *  FSM が ESTABLISHED になるまで待つ。
+		 *  FSM が CLOSED になった場合は、エラーが発生したことを意味している。
 		 */
 		error = twai_flg(cep->est_flgid, (TCP_CEP_EVT_CLOSED |
@@ -592,11 +574,11 @@
 
 		if (error == E_OK) {
-			/* ç¸æã®ã¢ãã¬ã¹ãã³ãã¼ããã*/
+			/* 相手のアドレスをコピーする。*/
 			*p_dstaddr = cep->dstaddr;
 			}
 		else {
 			/*
-			 *  éä¿¡ç«¯ç¹ããåä»å£ãè§£æ¾ãã
-			 *  ã¤ãã³ããã©ã°ãã¯ã­ã¼ãºã«è¨­å®ããã
+			 *  通信端点から受付口を解放し、
+			 *  イベントフラグをクローズに設定する。
 			 */
 			cep->rep = NULL;
@@ -622,5 +604,5 @@
 
 /*
- *  tcp_con_cep -- æ¥ç¶è¦æ± (è½åãªã¼ãã³)ãæ¨æºæ©è½ã
+ *  tcp_con_cep -- 接続要求 (能動オープン)【標準機能】
  */
 
@@ -637,7 +619,6 @@
 
 	/*
-	 *  p_dstaddr ã¾ãã¯ p_myaddr ã NULL ãã
-	 *  ãã¦å
-ããã«ãã­ã£ã¹ãã¢ãã¬ã¹ãªãã¨ã©ã¼
+	 *  p_dstaddr または p_myaddr が NULL か、
+	 *  あて先がマルチキャストアドレスならエラー
 	 */
 	if (p_myaddr == NULL || p_dstaddr == NULL || IN_IS_ADDR_MULTICAST(&p_dstaddr->ipaddr))
@@ -647,8 +628,7 @@
 
 	/*
-	 *  p_dstaddr ã¾ãã¯ p_myaddr ã NULL ã
-	 *  ãã¦å
-ããã«ãã­ã£ã¹ãã¢ãã¬ã¹ãã
-	 *  tmout ã TMO_NBLK ãªãã¨ã©ã¼
+	 *  p_dstaddr または p_myaddr が NULL 、
+	 *  あて先がマルチキャストアドレスか、
+	 *  tmout が TMO_NBLK ならエラー
 	 */
 	if (p_myaddr == NULL || p_dstaddr == NULL ||
@@ -659,12 +639,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_CON_CEP)) != E_OK)
 		return error;
 
-	/* CEP ã® FSM ãã¯ã­ã¼ãºç¶æ
-ã§ãªããã°ã¨ã©ã¼ã*/
+	/* CEP の FSM がクローズ状態でなければエラー。*/
 	if (cep->fsm_state != TCP_FSM_CLOSED) {
 		error = E_OBJ;
@@ -673,14 +652,14 @@
 	syscall(clr_flg(cep->est_flgid, (FLGPTN)(~TCP_CEP_EVT_CLOSED)));
 
-	/* ã·ã¼ã±ã³ã¹çªå·ãåæåããã*/
+	/* シーケンス番号を初期化する。*/
 	if (tcp_iss == 0)
 		tcp_init_iss();
 
-	/* éä¿¡ç«¯ç¹ãåæåããã*/
+	/* 通信端点を初期化する。*/
 	tcp_init_cep(cep);
 
 	/*
-	 *  p_myaddr ã NADR (-1) ã§ã¯ãªããèª IP ã¢ãã¬ã¹ã ANY ã§ãªããã°ã
-	 *  æå®ããã IP ã¢ãã¬ã¹ãå²ãå½ã¦ãã
+	 *  p_myaddr が NADR (-1) ではなく、自 IP アドレスが ANY でなければ、
+	 *  指定された IP アドレスを割り当てる。
 	 */
 	if (p_myaddr != NADR && !IN_IS_ADDR_ANY(&p_myaddr->ipaddr))
@@ -696,5 +675,5 @@
 		}
 
-	/* éä¿¡ç«¯ç¹ãè¨­å®ããã*/
+	/* 通信端点を設定する。*/
 	cep->fsm_state = TCP_FSM_SYN_SENT;
 	cep->dstaddr   = *p_dstaddr;
@@ -706,12 +685,12 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
+	/* タイムアウトをチェックする。*/
 	if (tmout == TMO_NBLK) {
-		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+		/* ノンブロッキングコール */
 		cep->p_dstaddr    = p_dstaddr;
 		cep->p_myaddr     = p_myaddr;
 		cep->snd_nblk_tfn = TFN_TCP_CON_CEP;
 
-		/* ã³ãã¯ã·ã§ã³ã®éè¨­ããã¹ãããã*/
+		/* コネクションの開設をポストする。*/
 		cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 		sig_sem(SEM_TCP_POST_OUTPUT);
@@ -723,6 +702,6 @@
 
 		/*
-		 *  p_myaddr ã NADR (-1) ãã
-		 *  èªãã¼ãçªå·ã TCP_PORTANY ãªããèªåã§å²ãå½ã¦ãã
+		 *  p_myaddr が NADR (-1) か、
+		 *  自ポート番号が TCP_PORTANY なら、自動で割り当てる。
 		 */
 		if (p_myaddr == NADR || p_myaddr->portno == TCP_PORTANY)
@@ -731,13 +710,12 @@
 			goto err_ret;
 
-		/* ã³ãã¯ã·ã§ã³ã®éè¨­ããã¹ãããã*/
+		/* コネクションの開設をポストする。*/
 		cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 		sig_sem(SEM_TCP_POST_OUTPUT);
 
 		/*
-		 *  ã¤ãã³ãã ESTABLISHED ã«ãªãã¾ã§å¾
-ã¤ã
-		 *  ã¤ãã³ãã CLOSED ã«ãªã£ãå ´åã¯ãä½ããã®ã¨ã©ã¼ãçºçãããã
-		 *  æ¥ç¶è¦æ±ãæå¦ããããã¨ãæå³ãã¦ããã
+		 *  イベントが ESTABLISHED になるまで待つ。
+		 *  イベントが CLOSED になった場合は、何らかのエラーが発生したか、
+		 *  接続要求が拒否されたことを意味している。
 		 */
 		error = twai_flg(cep->est_flgid, (TCP_CEP_EVT_CLOSED |
@@ -754,6 +732,6 @@
 		if (error != E_OK) {
 			/*
-			 *  éä¿¡ç«¯ç¹ããåä»å£ãè§£æ¾ãã
-			 *  ã¤ãã³ããã©ã°ãã¯ã­ã¼ãºã«è¨­å®ããã
+			 *  通信端点から受付口を解放し、
+			 *  イベントフラグをクローズに設定する。
 			 */
 			cep->rep = NULL;
@@ -779,5 +757,5 @@
 
 /*
- *  tcp_user_closed -- ã¦ã¼ã¶ããã®ã³ãã¯ã·ã§ã³ã®éæ¾
+ *  tcp_user_closed -- ユーザからのコネクションの開放
  */
 
@@ -787,21 +765,20 @@
 	switch (cep->fsm_state) {
 
-	case TCP_FSM_CLOSED:		/* ã¯ã­ã¼ãº	*/
-	case TCP_FSM_LISTEN:		/* ååãªã¼ãã³	*/
+	case TCP_FSM_CLOSED:		/* クローズ	*/
+	case TCP_FSM_LISTEN:		/* 受動オープン	*/
 		cep->fsm_state = TCP_FSM_CLOSED;
 		cep = tcp_close(cep);
 		break;
 
-	case TCP_FSM_SYN_SENT:		/* è½åãªã¼ãã³ãSYN éä¿¡æ¸ã¿	*/
-	case TCP_FSM_SYN_RECVD:		/* SYN ãåä¿¡ããSYN éä¿¡æ¸ã¿	*/
+	case TCP_FSM_SYN_SENT:		/* 能動オープン、SYN 送信済み	*/
+	case TCP_FSM_SYN_RECVD:		/* SYN を受信し、SYN 送信済み	*/
 		cep->flags |= TCP_CEP_FLG_NEED_FIN;
 		break;
 
-	case TCP_FSM_ESTABLISHED:	/* ã³ãã¯ã·ã§ã³éè¨­å®äº	*/
+	case TCP_FSM_ESTABLISHED:	/* コネクション開設完了	*/
 		cep->fsm_state = TCP_FSM_FIN_WAIT_1;
 		break;
 
-	case TCP_FSM_CLOSE_WAIT:	/* ç¸æãã FIN åä¿¡ãAPP ã®çµäºå¾
-ã¡ */
+	case TCP_FSM_CLOSE_WAIT:	/* 相手から FIN 受信、APP の終了待ち */
 		cep->fsm_state = TCP_FSM_LAST_ACK;
 		break;
@@ -814,5 +791,5 @@
 
 /*
- *  tcp_cls_cep -- éä¿¡ç«¯ç¹ã®ã¯ã­ã¼ãºãæ¨æºæ©è½ã
+ *  tcp_cls_cep -- 通信端点のクローズ【標準機能】
  */
 
@@ -826,5 +803,5 @@
 #ifndef TCP_CFG_NON_BLOCKING
 
-	/* tmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* tmout が TMO_NBLK ならエラー */
 	if (tmout == TMO_NBLK)
 		return E_PAR;
@@ -833,6 +810,6 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_CLS_CEP)) != E_OK)
@@ -841,10 +818,10 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {				/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {				/* ノンブロッキングコール */
 
 		if (!IS_PTR_DEFINED(cep->callback))
 			error = E_OBJ;
-		else if (cep->fsm_state == TCP_FSM_CLOSED) {	/* ãã§ã«ã¯ã­ã¼ãºããã¦ããã¨ã */
+		else if (cep->fsm_state == TCP_FSM_CLOSED) {	/* すでにクローズされているとき */
 
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
@@ -864,38 +841,37 @@
 			}
 		else {
-			/* NBLK ã®API æ©è½ã³ã¼ããè¨­å®ããã*/
+			/* NBLK のAPI 機能コードを設定する。*/
 			cep->rcv_nblk_tfn = TFN_TCP_CLS_CEP;
 
-			if ((cep = tcp_user_closed(cep)) != NULL) {	/* ã³ãã¯ã·ã§ã³ãåæ­ããã*/
-				/* åæ­ã»ã°ã¡ã³ãåºåããã¹ãããã*/
+			if ((cep = tcp_user_closed(cep)) != NULL) {	/* コネクションを切断する。*/
+				/* 切断セグメント出力をポストする。*/
 				cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 				sig_sem(SEM_TCP_POST_OUTPUT);
 				}
 
-			/*  cep ã NULL ã§æ»ã£ã¦ããå ´åã¯ã
-			 *  æ¢ã«ã³ãã¯ã·ã§ã³ãåæ­ããã¦ãããã¨ãæå³ãã¦ããã
-			 *  ã¾ãããã®å ´åã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºããã¦ããã
+			/*  cep が NULL で戻ってきた場合は、
+			 *  既にコネクションが切断されていることを意味している。
+			 *  また、この場合コールバック関数が呼び出されている。
 			 */
 			return E_WBLK;
 			}
 		}
-	else {							/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-		if ((cep = tcp_user_closed(cep)) == NULL) {	/* ã³ãã¯ã·ã§ã³ãåæ­ããã*/
-
-			/*  cep ã NULL ã§æ»ã£ã¦ããå ´åã¯ã
-			 *  æ¢ã«ã³ãã¯ã·ã§ã³ãåæ­ããã¦ãããã¨ãæå³ãã¦ããã
+	else {							/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+		if ((cep = tcp_user_closed(cep)) == NULL) {	/* コネクションを切断する。*/
+
+			/*  cep が NULL で戻ってきた場合は、
+			 *  既にコネクションが切断されていることを意味している。
 			 */
 			return error;
 			}
 		else {
-			/* åæ­ã»ã°ã¡ã³ãåºåããã¹ãããã*/
+			/* 切断セグメント出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
 
-			/* ã¤ãã³ããã©ã°ã CLOSED ã«ãªãã¾ã§å¾
-ã¤ã*/
+			/* イベントフラグが CLOSED になるまで待つ。*/
 			error = twai_flg(cep->est_flgid, TCP_CEP_EVT_CLOSED, TWF_ORW, &flag, tmout);
 			if (error == E_OK && cep->error != E_OK)
@@ -904,15 +880,15 @@
 			if (error != E_OK) {
 				if (error == E_RLWAI) {
-					/* tcp_cls_cep ãã­ã£ã³ã»ã«ãããã¨ãã¯ãRST ãéä¿¡ããã*/
+					/* tcp_cls_cep がキャンセルされたときは、RST を送信する。*/
 					tcp_respond(NULL, cep, cep->rcv_nxt, cep->snd_una - 1, 
 					            cep->rbufsz - cep->rwbuf_count, TCP_FLG_RST);
 					}
 
-				/* ã¿ã¤ãã¼ãåæ­¢ããã*/
+				/* タイマーを停止する。*/
 				tcp_cancel_timers(cep);
 
 				/* 
-				 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã
-				 *  åä¿¡åæ§æã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+				 *  通信端点をロックし、
+				 *  受信再構成キューのネットワークバッファを解放する。
 				 */
 				syscall(wai_sem(cep->semid_lock));
@@ -920,12 +896,11 @@
 				syscall(sig_sem(cep->semid_lock));
 
-				/* ç¶æ
-ãæªä½¿ç¨ã«ããã*/
+				/* 状態を未使用にする。*/
 				cep->fsm_state = TCP_FSM_CLOSED;
 
 				/*
-				 * ä»¥ä¸ã«é¢ä¿ããªããã©ã°ãã¯ãªã¢ã¼ããã
-				 * ã»éåä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½
-				 * ã»åçãªéä¿¡ç«¯ç¹ã®çæã»åé¤æ©è½
+				 * 以下に関係しないフラグをクリアーする。
+				 * ・送受信ウィンドバッファの省コピー機能
+				 * ・動的な通信端点の生成・削除機能
 				 */
 				cep->flags &= (TCP_CEP_FLG_WBCS_NBUF_REQ | TCP_CEP_FLG_WBCS_MASK | 
@@ -933,6 +908,6 @@
 
 				/* 
-				 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã
-				 *  éåä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+				 *  通信端点をロックし、
+				 *  送受信ウィンドバッファキューのネットワークバッファを解放する。
 				 */
 				cep->rwbuf_count = 0;
@@ -962,5 +937,5 @@
 
 /*
- *  tcp_sht_cep  -- ãã¼ã¿éä¿¡ã®çµäºãæ¨æºæ©è½ã
+ *  tcp_sht_cep  -- データ送信の終了【標準機能】
  */
 
@@ -972,12 +947,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_SHT_CEP)) != E_OK)
 		return error;
 
-	/* TCP éä¿¡ç«¯ç¹ã®ã³ãã¯ã·ã§ã³ãç¢ºç«ç¶æ
-ã§ãªããã°ã¨ã©ã¼ */
+	/* TCP 通信端点のコネクションが確立状態でなければエラー */
 	if (!TCP_FSM_HAVE_ESTABLISHED(cep->fsm_state)) {
 		if ((error = cep->error) == E_OK)
@@ -985,7 +959,7 @@
 		}
 
-	else if ((cep = tcp_user_closed(cep)) != NULL) {		/* ã³ãã¯ã·ã§ã³ãåæ­ããã*/
-
-		/* åæ­ã»ã°ã¡ã³ãåºåããã¹ãããã*/
+	else if ((cep = tcp_user_closed(cep)) != NULL) {		/* コネクションを切断する。*/
+
+		/* 切断セグメント出力をポストする。*/
 		cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 		sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1002,5 +976,5 @@
 
 /*
- *  tcp_snd_dat -- ãã±ããã®éä¿¡ãæ¨æºæ©è½ã
+ *  tcp_snd_dat -- パケットの送信【標準機能】
  */
 
@@ -1013,5 +987,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* data が NULL か、len < 0 ならエラー */
 	if (data == NULL || len < 0)
 		return E_PAR;
@@ -1019,5 +993,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* data ã NULLãlen < 0 ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* data が NULL、len < 0 か、tmout が TMO_NBLK ならエラー */
 	if (data == NULL || len < 0 || tmout == TMO_NBLK)
 		return E_PAR;
@@ -1026,12 +1000,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_SND_DAT)) != E_OK)
 		return error;
 
-	/* éä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、通信端点の状態を見る。*/
 	if ((error = tcp_can_send_more(cep, TFN_TCP_SND_DAT, tmout)) != E_OK)
 		goto err_ret;
@@ -1039,14 +1012,14 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ã¦ã£ã³ããããã¡ã«ç©ºããããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
+
+		/* 送信ウィンドバッファに空きがあればコールバック関数を呼び出す。*/
 		if (!TCP_IS_SWBUF_FULL(cep)) {
 
-		 	/* éä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãæ¸ãè¾¼ãã*/
+		 	/* 送信ウィンドバッファにデータを書き込む。*/
 			error = TCP_WRITE_SWBUF(cep, data, (uint_t)len);
 
-			/* åºåããã¹ãããã*/
+			/* 出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1054,10 +1027,10 @@
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_SND_DAT, (void*)error);
 
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING_COMPAT14 */
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_SND_DAT, (void*)&error);
 
@@ -1076,21 +1049,20 @@
 			}
 		}
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ãç©ºãã®ãå¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+	 	/* 送信ウィンドバッファが空くのを待つ。*/
 		if ((error = TCP_WAIT_SWBUF(cep, tmout)) != E_OK)
 			goto err_ret;
 
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãæ¸ãè¾¼ãã*/
+	 	/* 送信ウィンドバッファにデータを書き込む。*/
 		if ((error = TCP_WRITE_SWBUF(cep, data, (uint_t)len)) > 0) {
 
-			/* ãã¼ã¿ãéä¿¡ãããéä¿¡ã¦ã£ã³ããããã¡ããã«ã®ã¨ãã¯å¼·å¶çã«éä¿¡ããã*/
+			/* データを送信する。送信ウィンドバッファがフルのときは強制的に送信する。*/
 			if (TCP_IS_SWBUF_FULL(cep))
 				cep->flags |= TCP_CEP_FLG_FORCE | TCP_CEP_FLG_FORCE_CLEAR;
 
-			/* åºåããã¹ãããã*/
+			/* 出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1116,5 +1088,5 @@
 
 /*
- *  tcp_snd_oob -- ç·æ¥ãã¼ã¿ã®éä¿¡ãæ¡å¼µæ©è½ã
+ *  tcp_snd_oob -- 緊急データの送信【拡張機能】
  */
 
@@ -1127,5 +1099,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* data が NULL か、len < 0 ならエラー */
 	if (data == NULL || len < 0)
 		return E_PAR;
@@ -1133,5 +1105,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* data ã NULLãlen < 0 ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* data が NULL、len < 0 か、tmout が TMO_NBLK ならエラー */
 	if (data == NULL || len < 0 || tmout == TMO_NBLK)
 		return E_PAR;
@@ -1140,12 +1112,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_SND_OOB)) != E_OK)
 		return error;
 
-	/* éä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、通信端点の状態を見る。*/
 	if ((error = tcp_can_send_more(cep, TFN_TCP_SND_OOB, tmout)) != E_OK)
 		goto err_ret;
@@ -1153,17 +1124,17 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ã¦ã£ã³ããããã¡ã«ç©ºããããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
+
+		/* 送信ウィンドバッファに空きがあればコールバック関数を呼び出す。*/
 		if (!TCP_IS_SWBUF_FULL(cep)) {
 
-		 	/* éä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãæ¸ãè¾¼ãã*/
+		 	/* 送信ウィンドバッファにデータを書き込む。*/
 			error = TCP_WRITE_SWBUF(cep, data, (uint_t)len);
 
-			/* éä¿¡ç·æ¥ãã¤ã³ã¿ãè¨­å®ããã*/
+			/* 送信緊急ポインタを設定する。*/
 			cep->snd_up = cep->snd_una + cep->swbuf_count;
 
-			/* åºåããã¹ãããã*/
+			/* 出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1171,10 +1142,10 @@
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_SND_OOB, (void*)error);
 
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING_COMPAT14 */
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_SND_OOB, (void*)&error);
 
@@ -1193,24 +1164,23 @@
 			}
 		}
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ãç©ºãã®ãå¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+	 	/* 送信ウィンドバッファが空くのを待つ。*/
 		if ((error = TCP_WAIT_SWBUF(cep, tmout)) != E_OK)
 			goto err_ret;
 
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãæ¸ãè¾¼ãã*/
+	 	/* 送信ウィンドバッファにデータを書き込む。*/
 		if ((error = TCP_WRITE_SWBUF(cep, data, (uint_t)len)) > 0) {
 
-			/* éä¿¡ç·æ¥ãã¤ã³ã¿ãè¨­å®ããã*/
+			/* 送信緊急ポインタを設定する。*/
 			cep->snd_up = cep->snd_una + cep->swbuf_count;
 
-			/* ãã¼ã¿ãéä¿¡ãããéä¿¡ã¦ã£ã³ããããã¡ããã«ã®ã¨ãã¯å¼·å¶çã«éä¿¡ããã*/
+			/* データを送信する。送信ウィンドバッファがフルのときは強制的に送信する。*/
 			if (TCP_IS_SWBUF_FULL(cep))
 				cep->flags |= TCP_CEP_FLG_FORCE | TCP_CEP_FLG_FORCE_CLEAR;
 
-			/* åºåããã¹ãããã*/
+			/* 出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1236,5 +1206,5 @@
 
 /*
- *  tcp_get_buf -- éä¿¡ç¨ãããã¡ã®ç²å¾ãæ¨æºæ©è½ã
+ *  tcp_get_buf -- 送信用バッファの獲得【標準機能】
  */
 
@@ -1247,5 +1217,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* p_buf ã NULL ãªãã¨ã©ã¼ */
+	/* p_buf が NULL ならエラー */
 	if (p_buf == NULL)
 		return E_PAR;
@@ -1253,5 +1223,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* p_buf ã NULL ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* p_buf が NULL か、tmout が TMO_NBLK ならエラー */
 	if (p_buf == NULL || tmout == TMO_NBLK)
 		return E_PAR;
@@ -1260,12 +1230,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_GET_BUF)) != E_OK)
 		return error;
 
-	/* éä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、通信端点の状態を見る。*/
 	if ((error = tcp_can_send_more(cep, TFN_TCP_GET_BUF, tmout)) != E_OK)
 		goto err_ret;
@@ -1273,20 +1242,20 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
 
 		if (!TCP_IS_SWBUF_FULL(cep)) {
 
-			/* éä¿¡ã¦ã£ã³ããããã¡ã«ç©ºããããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* 送信ウィンドバッファに空きがあればコールバック関数を呼び出す。*/
 			error = TCP_GET_SWBUF_ADDR(cep, p_buf);
 
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_GET_BUF, (void*)error);
 
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING_COMPAT14 */
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_GET_BUF, (void*)&error);
 
@@ -1304,14 +1273,13 @@
 		}
 
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ãç©ºãã®ãå¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+	 	/* 送信ウィンドバッファが空くのを待つ。*/
 		if ((error = TCP_WAIT_SWBUF(cep, tmout)) != E_OK)
 			goto err_ret;
 
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ã®ç©ºã¢ãã¬ã¹ãç²å¾ããã*/
+	 	/* 送信ウィンドバッファの空アドレスを獲得する。*/
 		error = TCP_GET_SWBUF_ADDR(cep, p_buf);
 
@@ -1333,6 +1301,5 @@
 
 /*
- *  tcp_snd_buf -- ãããã¡å
-ã®ãã¼ã¿ã®éä¿¡ãæ¨æºæ©è½ã
+ *  tcp_snd_buf -- バッファ内のデータの送信【標準機能】
  */
 
@@ -1343,20 +1310,20 @@
 	ER		error;
 
-	/* éä¿¡ããé·ã len ããã§ãã¯ããã*/
+	/* 送信する長さ len をチェックする。*/
 	if (len < 0)
 		return E_PAR;
 
-	/* éä¿¡ããé·ãlen ã 0 ã§ããã°ãä½ãããªãã§æ»ãã*/
+	/* 送信する長さlen が 0 であれば、何もしないで戻る。*/
 	if (len == 0)
 		return E_OK;
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_SND_BUF)) != E_OK)
 		return error;
 
-	/* éä¿¡ããé·ã len ããã§ãã¯ããã*/
+	/* 送信する長さ len をチェックする。*/
 	if (len > cep->get_buf_len) {
 		error = E_OBJ;
@@ -1364,6 +1331,5 @@
 		}
 
-	/* éä¿¡ã§ããããCEP ã® FSM ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、CEP の FSM 状態を見る。*/
 	if (!TCP_FSM_CAN_SEND_MORE(cep->fsm_state)) {
 		if ((error = cep->error) == E_OK)
@@ -1372,8 +1338,8 @@
 		}
 
-	/* éä¿¡ã¦ã£ã³ããããã¡ã®ãã¼ã¿ãéä¿¡å¯è½ã«ããã*/
+	/* 送信ウィンドバッファのデータを送信可能にする。*/
 	TCP_SEND_SWBUF(cep, (uint_t)len);
 
-	/* åºåããã¹ãããã*/
+	/* 出力をポストする。*/
 	cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 	sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1390,5 +1356,5 @@
 
 /*
- *  tcp_rcv_dat -- ãã±ããã®åä¿¡ãæ¨æºæ©è½ã
+ *  tcp_rcv_dat -- パケットの受信【標準機能】
  */
 
@@ -1401,5 +1367,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* data が NULL か、len < 0 ならエラー */
 	if (data == NULL || len < 0)
 		return E_PAR;
@@ -1407,5 +1373,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* data ã NULLãlen < 0 ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* data が NULL、len < 0 か、tmout が TMO_NBLK ならエラー */
 	if (data == NULL || len < 0 || tmout == TMO_NBLK)
 		return E_PAR;
@@ -1414,12 +1380,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_RCV_DAT)) != E_OK)
 		return error;
 
-	/* åä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 受信できるか、通信端点の状態を見る。*/
 	if (tcp_can_recv_more(&error, cep, TFN_TCP_RCV_DAT, tmout) != E_OK)
 		goto err_ret;
@@ -1427,11 +1392,11 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* åä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
+
+		/* 受信ウィンドバッファにデータがあればコールバック関数を呼び出す。*/
 		if (cep->rwbuf_count > 0) {
 
-			/* åä¿¡ã¦ã£ã³ããããã¡ãããã¼ã¿ãåãåºãã*/
+			/* 受信ウィンドバッファからデータを取り出す。*/
 			len = TCP_READ_RWBUF(cep, data, (uint_t)len);
 
@@ -1456,18 +1421,16 @@
 			}
 		}
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-		/* åä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ããªããã°ãå
-¥åãããã¾ã§å¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+		/* 受信ウィンドバッファにデータがなければ、入力があるまで待つ。*/
 		if ((error = tcp_wait_rwbuf(cep, tmout)) != E_OK)
 			goto err_ret;
 
-		/* åä¿¡ã¦ã£ã³ããããã¡ãããã¼ã¿ãåãåºãã*/
+		/* 受信ウィンドバッファからデータを取り出す。*/
 		error = TCP_READ_RWBUF(cep, data, (uint_t)len);
 
-		/* ç¸æã«ã¦ã£ã³ãã¦ãµã¤ãºãå¤ãã£ããã¨ãç¥ãããããåºåããã¹ãããã*/
+		/* 相手にウィンドウサイズが変わったことを知らせるため出力をポストする。*/
 		cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 		sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1492,8 +1455,8 @@
 
 /*
- *  tcp_rcv_oob -- ç·æ¥ãã¼ã¿ã®åä¿¡ãæ¡å¼µæ©è½ã
+ *  tcp_rcv_oob -- 緊急データの受信【拡張機能】
  *
- *    æ³¨æ: éä¿¡å´ãè¤æ°ãªã¯ãããã®ãã¼ã¿ãéä¿¡ãã¦ãã
- *          ç·æ¥ãã¤ã³ã¿ãæã 1 ãªã¯ãããã®ãã¼ã¿ã®ã¿åä¿¡ããã
+ *    注意: 送信側が複数オクテットのデータを送信しても、
+ *          緊急ポインタが指す 1 オクテットのデータのみ受信する。
  */
 
